Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Get message by message id.
GET https://services.leadconnectorhq.com/conversations/messages/{id}

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Respuestas

id
string
default:"ve9EPM428h8vShlRW1KT"
required
type
number
default:"1"
required
messageType
string
default:"SMS"
required
Type of the message as a string Posibles valores: ‘TYPE_CALL’, ‘TYPE_SMS’, ‘TYPE_RCS’, ‘TYPE_EMAIL’, ‘TYPE_SMS_REVIEW_REQUEST’, ‘TYPE_WEBCHAT’, ‘TYPE_SMS_NO_SHOW_REQUEST’, ‘TYPE_CAMPAIGN_SMS’, ‘TYPE_CAMPAIGN_CALL’, ‘TYPE_CAMPAIGN_EMAIL’, ‘TYPE_CAMPAIGN_VOICEMAIL’, ‘TYPE_FACEBOOK’, ‘TYPE_CAMPAIGN_FACEBOOK’, ‘TYPE_CAMPAIGN_MANUAL_CALL’, ‘TYPE_CAMPAIGN_MANUAL_SMS’, ‘TYPE_GMB’, ‘TYPE_CAMPAIGN_GMB’, ‘TYPE_REVIEW’, ‘TYPE_INSTAGRAM’, ‘TYPE_WHATSAPP’, ‘TYPE_CUSTOM_SMS’, ‘TYPE_CUSTOM_EMAIL’, ‘TYPE_CUSTOM_PROVIDER_SMS’, ‘TYPE_CUSTOM_PROVIDER_EMAIL’, ‘TYPE_IVR_CALL’, ‘TYPE_ACTIVITY_CONTACT’, ‘TYPE_ACTIVITY_INVOICE’, ‘TYPE_ACTIVITY_PAYMENT’, ‘TYPE_ACTIVITY_OPPORTUNITY’, ‘TYPE_LIVE_CHAT’, ‘TYPE_LIVE_CHAT_INFO_MESSAGE’, ‘TYPE_ACTIVITY_APPOINTMENT’, ‘TYPE_FACEBOOK_COMMENT’, ‘TYPE_INSTAGRAM_COMMENT’, ‘TYPE_CUSTOM_CALL’, ‘TYPE_INTERNAL_COMMENT’, ‘TYPE_ACTIVITY_EMPLOYEE_ACTION_LOG’, ‘TYPE_TIKTOK’, ‘TYPE_TIKTOK_COMMENT’, ‘TYPE_ACTIVITY_WHATSAPP’, ‘TYPE_FORM_SUBMISSION’, ‘TYPE_SMS_REACTION’
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
contactId
string
default:"ve9EPM428h8vShlRW1KT"
required
conversationId
string
default:"ve9EPM428h8vShlRW1KT"
required
dateAdded
string
default:"2024-03-27T18:13:49.000Z"
required
body
string
default:"Hi there"
direction
string
required
Posibles valores: ‘inbound’, ‘outbound’
status
string
Posibles valores: ‘connected’, ‘delivered’, ‘failed’, ‘opened’, ‘pending’, ‘read’, ‘scheduled’, ‘sent’, ‘undelivered’, ‘clicked’, ‘opt_out’, ‘queued’
contentType
string
default:"text/plain"
required
attachments
string[]
An array of attachment URLs. Attachments will be empty for Call and Voicemails, type 1 and 10. Please use get call recording API to fetch call recording and voicemails.
meta
object
source
string
Message source Posibles valores: ‘workflow’, ‘bulk_actions’, ‘campaign’, ‘api’, ‘app’
userId
string
default:"ve9EPM428kjkvShlRW1KT"
User Id
conversationProviderId
string
default:"ve9EPM428kjkvShlRW1KT"
Conversation Provider Id
chatWidgetId
string
default:"67b0cc8cf14b19d85ace7s35"
Chat Widget Id
{
  "id": "ve9EPM428h8vShlRW1KT",
  "type": 1,
  "messageType": "SMS",
  "locationId": "ve9EPM428h8vShlRW1KT",
  "contactId": "ve9EPM428h8vShlRW1KT",
  "conversationId": "ve9EPM428h8vShlRW1KT",
  "dateAdded": "2024-03-27T18:13:49.000Z",
  "body": "Hi there",
  "direction": "inbound",
  "status": "connected",
  "contentType": "text/plain",
  "attachments": [
    "string"
  ],
  "meta": {
    "callDuration": 120,
    "callStatus": "completed",
    "email": {
      "email": {
        "messageIds": [
          "ve9EPM428kjkvShlRW1KT",
          "ve9EPs1028kjkvShlRW1KT"
        ]
      }
    }
  },
  "source": "workflow",
  "userId": "ve9EPM428kjkvShlRW1KT",
  "conversationProviderId": "ve9EPM428kjkvShlRW1KT",
  "chatWidgetId": "67b0cc8cf14b19d85ace7s35"
}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/conversations/messages/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'